package com.muyu.domain.rep;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import com.muyu.domain.Structure;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TableInfoRep {

    /** 主键 */
    @TableId(value = "id", type = IdType.AUTO)
    public Long id;

    private Long basicId;

    /** 表名称/数据库 */
    @Excel(name = "表名称/数据库")
    private String tableName;

    /** 表备注 */
    @Excel(name = "表备注")
    private String tableRemark;

    /** 表备注 */
    @Excel(name = "数据来源类型")
    private String type;

    /** 数据量 */
    @Excel(name = "数据量")
    private Long dataNum;

    /** 是否核心 'Y'是 'N'不是 */
    @Excel(name = "是否核心 'Y'是 'N'不是")
    private String center;

    private Long parentId;

    private List<Structure> structureList;

}
