package com.muyu.cloud.etl.mapper;

import com.muyu.domain.Accredit;
import com.muyu.domain.rep.AccreditDeptRep;
import com.muyu.domain.rep.AccreditUserRep;
import com.muyu.domain.req.AccreditReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AccreditMapper {
    Accredit findAccredit(@Param("tableId") Long tableId);

    List<AccreditDeptRep> findDeptListStatus(@Param("tableId") Long tableId, @Param("basicId") Long basicId);

    List<AccreditUserRep> findUserListStatus(@Param("tableId") Long tableId, @Param("basicId") Long basicId);

    Integer addMiddle(AccreditReq accreditReq);

    Integer remove(AccreditReq accreditReq);

    List<Integer> findUserTableIds(@Param("userId") Long userId);

    List<Integer> findDeptTableIds(@Param("deptId") Long deptId);

//    Accredit findAccreditBasic(@Param("tableId") Long tableId);

}
